/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package storage.impl;

import datamodel.Dobavljac;
import datamodel.Proizvod;
import javax.persistence.EntityManager;
import storage.DobavljacDao;

/**
 *
 * @author user
 */
public class DobavljacDaoImpl implements DobavljacDao {

    @Override
    public void regitrujDobavljacaZaProizvod(int dobavljacId, long proizvodId) throws Exception {
        EntityManager em = getEntityManager();

        Dobavljac dobavljac = em.find(Dobavljac.class, dobavljacId);
        if (dobavljac == null) {
            throw new Exception("Dobavljac ne postoji");
        }

        Proizvod proizvod = em.find(Proizvod.class, proizvodId);
        if (dobavljac == null) {
            throw new Exception("Proizvod ne postoji");
        }

        em.getTransaction().begin();
        dobavljac.getProizvodi().add(proizvod);
        em.getTransaction().commit();
    }

    @Override
    public Dobavljac vratiDobavljaca(int dobavljacId) {
        EntityManager em = getEntityManager();
        Dobavljac dobavljac = em.find(Dobavljac.class, dobavljacId);
        return dobavljac;
    }

}
