/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package start;

import datamodel.Dobavljac;
import datamodel.Kupac;
import datamodel.Proizvod;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import storage.DobavljacDao;
import storage.KupacDao;
import storage.ProizvodDao;
import storage.impl.DobavljacDaoImpl;
import storage.impl.KupacDaoImpl;
import storage.impl.ProizvodDaoImpl;

/**
 *
 * @author user
 */
public class Start {

    public static void main(String[] args) {
        //kupac();
        //proizvod();
        dobavljac();
    }

    private static void kupac() {
//        vratiSveKupce();
//        sacuvajKupac("ka", "ka");
//        vratiSveKupce();

//        vratiKupca(1);
    }

    private static void vratiSveKupce() {
        KupacDao kupacDao = new KupacDaoImpl();
        List<Kupac> kupci = kupacDao.vratiSveKupce();
        prikaziKupce(kupci);
    }

    private static void prikaziKupce(List<Kupac> kupci) {
        for (Kupac kupac : kupci) {
            prikaziKupca(kupac);
        }
    }

    private static void sacuvajKupac(String naziv, String adresa) {
        Kupac k = new Kupac();
        k.setNaziv(naziv);
        k.setAdresa(adresa);

        KupacDao kupacDao = new KupacDaoImpl();
        k = kupacDao.sacuvaj(k);
        System.out.println("Novi kupac je sacuvan, id=" + k.getKupacId());
    }

    private static void vratiKupca(long kupacId) {
        KupacDao kupacDao = new KupacDaoImpl();
        Kupac k = kupacDao.vratiKupca(kupacId);
        prikaziKupca(k);
    }

    private static void prikaziKupca(Kupac kupac) {
        System.out.println(kupac);
    }

    private static void proizvod() {
        //vratiSveProizvode();
        registrujDobavljacaZaProizvod(1,2);
    }

    private static void vratiSveProizvode() {
        ProizvodDao proizvodDao = new ProizvodDaoImpl();
        List<Proizvod> proizvodi = proizvodDao.vratiSveProizvode();
        prikaziProizvode(proizvodi);
    }

    private static void prikaziProizvode(List<Proizvod> proizvodi) {
        for (Proizvod proizvod : proizvodi) {
            prikaziProizvod(proizvod);
        }
    }

    private static void prikaziProizvod(Proizvod proizvod) {
        System.out.println("PROIZVOD -------------------------------------------------");
        System.out.println(proizvod);

//        System.out.println("DOBAVLJACI KOJI DOBAVLJAJU PROIZVOD ----------------------");
//        List<Dobavljac> dobavljaci = proizvod.getDobavljaci();
//        for (Dobavljac dobavljac : dobavljaci) {
//            System.out.println(dobavljac);
//        }
    }

    private static void dobavljac() {
        //registrujProizvodZaDobavljaca();
        vratiDobavljaca(1);
    }

    private static void registrujProizvodZaDobavljaca() {
        DobavljacDao dobavljacDao = new DobavljacDaoImpl();
        try {
            dobavljacDao.regitrujDobavljacaZaProizvod(1, 1);
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

    private static void vratiDobavljaca(int dobavljacId) {
        DobavljacDao dobavljacDao = new DobavljacDaoImpl();
        Dobavljac dobavljac = dobavljacDao.vratiDobavljaca(dobavljacId);
        prikaziDobavljaca(dobavljac);
    }

    private static void prikaziDobavljaca(Dobavljac dobavljac) {
        System.out.println("DOBAVLJAC-------------------------------------------------");
        System.out.println(dobavljac);
        System.out.println("PROIZVODI KOJE SE DOBAVLJAJU OD DOBAVLJACA ---------------");
        List<Proizvod> proizvodi = dobavljac.getProizvodi();
        for (Proizvod proizvod : proizvodi) {
            System.out.println(proizvod);
        }
    }

    private static void registrujDobavljacaZaProizvod(int dobavljacId, long proizvodId) {
        ProizvodDao proizvodDao = new ProizvodDaoImpl();
        try {
            proizvodDao.regitrujDobavljacaZaProizvod(dobavljacId, proizvodId);
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

}
