/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package storage.impl;

import datamodel.Kupac;
import java.util.List;
import javax.persistence.EntityManager;
import storage.KupacDao;

/**
 *
 * @author user
 */
public class KupacDaoImpl implements KupacDao{

    @Override
    public List<Kupac> vratiSveKupce() {
        EntityManager em = getEntityManager();
        return em.createQuery("select k from Kupac k").getResultList();
    }

    @Override
    public Kupac sacuvaj(Kupac k) {
        EntityManager em = getEntityManager();
        
        em.getTransaction().begin();
        k = em.merge(k);        
        em.getTransaction().commit();
        System.out.println("Novi kupac je sacuvan, id=" + k.getKupacId());        
        return k;
    }

    @Override
    public Kupac vratiKupca(long kupacId) {
         EntityManager em = getEntityManager();
         Kupac k = em.find(Kupac.class, kupacId);     
         return k;
    }
    
}
