/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package storage.impl;

import datamodel.Dobavljac;
import datamodel.Proizvod;
import java.util.List;
import javax.persistence.EntityManager;
import storage.ProizvodDao;

/**
 *
 * @author user
 */
public class ProizvodDaoImpl implements ProizvodDao {

    @Override
    public List<Proizvod> vratiSveProizvode() {
        EntityManager em = getEntityManager();
        return em.createQuery("select p from Proizvod p").getResultList();
    }

    @Override
    public void regitrujDobavljacaZaProizvod(int dobavljacId, long proizvodId) throws Exception {
        EntityManager em = getEntityManager();
        Dobavljac dobavljac = em.find(Dobavljac.class, new Integer(dobavljacId));
        if (dobavljac == null) {
            throw new Exception("Dobavljac ne postoji");
        }

        Proizvod proizvod = em.find(Proizvod.class, new Long(proizvodId));
        if (dobavljac == null) {
            throw new Exception("Proizvod ne postoji");
        }

        em.getTransaction().begin();
        //problem kod bi-direkcione        
//        proizvod.getDobavljaci().add(dobavljac);

        proizvod.getDobavljaci().add(dobavljac);
        dobavljac.getProizvodi().add(proizvod);

//        proizvod.registrujProiazvodZaDobavljaca(dobavljac);
        em.getTransaction().commit();
    }
}
